unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin, ComCtrls,
  Menus, ActnList, ExtCtrls,
  Mask,

  jc_ini,
  jc_listes,

  JvExMask,
  JvSpin,
  JvExExtCtrls, JvExtComponent,
  JvCaptionPanel,
  JvExControls, JvXPCore,
  JvXPButtons, JvLED
  ;

type
  TForm_OPTIONS = class(TForm)
    btn_Save: TJvXPButton;
    JvCaptionPanel2: TJvCaptionPanel;
    ActionList1: TActionList;
    Police: TAction;
    GroupBox4: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    chk_INIT: TCheckBox;
    SpinEdit_W: TJvSpinEdit;
    SpinEdit_H: TJvSpinEdit;
    SpinEditLeft: TJvSpinEdit;
    SpinEditTOP: TJvSpinEdit;
    JvCaptionPanel3: TJvCaptionPanel;
    chk_AUTO: TCheckBox;
    JvLED1: TJvLED;
    JvXPButton1: TJvXPButton;
    JvCaptionPanel4: TJvCaptionPanel;
    GroupBox5: TGroupBox;
    SpinEdit_NOTE: TJvSpinEdit;
    chk_NOTE: TCheckBox;
    EditNote: TEdit;
    JvCaptionPanel5: TJvCaptionPanel;
    GroupBox6: TGroupBox;
    SpinEdit_Screen: TJvSpinEdit;
    JvXPButton2: TJvXPButton;
    Liste_NOTES: TListBox;
    INI_SAVE: TAction;
    INI_GET: TAction;
    procedure SpinEditLeftChange(Sender: TObject);
    procedure SpinEditTopChange(Sender: TObject);
    procedure SpinEdit_wChange(Sender: TObject);
    procedure SpinEdit_HChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure chk_INITClick(Sender: TObject);
    procedure SpinEditLeftDblClick(Sender: TObject);
    procedure SpinEdit_wDblClick(Sender: TObject);
    procedure SpinEdit_HDblClick(Sender: TObject);
    procedure SpinEditTopDblClick(Sender: TObject);
    procedure btn_SaveMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure JvCaptionPanel2ButtonClick(Sender: TObject;
      Button: TJvCapBtnStyle);
    procedure chk_AUTOClick(Sender: TObject);
    procedure JvLED1Click(Sender: TObject);
    procedure JvXPButton1Click(Sender: TObject);
    procedure chk_NOTEClick(Sender: TObject);
    procedure SpinEdit_NOTEChange(Sender: TObject);
    procedure EditNoteChange(Sender: TObject);
    procedure SpinEdit_ScreenChange(Sender: TObject);
    procedure SpinEdit_ScreenDblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure EditNoteEnter(Sender: TObject);
    procedure EditNoteExit(Sender: TObject);
    procedure Liste_NOTESClick(Sender: TObject);
    procedure Liste_NOTESDblClick(Sender: TObject);
    procedure INI_SAVEExecute(Sender: TObject);
    procedure btn_SaveClick(Sender: TObject);
    procedure INI_GETExecute(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form_OPTIONS: TForm_OPTIONS;

implementation

uses Unit1, UOrLabel;

{$R *.dfm}



procedure TForm_OPTIONS.SpinEditLeftChange(Sender: TObject);
begin

form1.Panel_Image.Left := round(SpinEditLeft.Value);

end;

procedure TForm_OPTIONS.SpinEditTopChange(Sender: TObject);
begin

Try
form1.Panel_Image.Top := round(SpinEditTop.Value);
Except end;

end;

procedure TForm_OPTIONS.SpinEdit_wChange(Sender: TObject);
begin

form1.Panel_Image.Width := round(SpinEdit_w.Value);

end;

procedure TForm_OPTIONS.SpinEdit_HChange(Sender: TObject);
begin

form1.Panel_Image.Height := round(SpinEdit_h.Value);

end;


procedure TForm_OPTIONS.FormCreate(Sender: TObject);
begin

INI_GET.Execute;

end;

procedure TForm_OPTIONS.Quitter1Click(Sender: TObject);
begin

close;

end;



procedure TForm_OPTIONS.chk_INITClick(Sender: TObject);
begin

with form1.Image1 do BEGIN
  AutoSize := chk_INIT.Checked;
  Stretch := not chk_INIT.Checked;
End;

end;


procedure TForm_OPTIONS.SpinEditLeftDblClick(Sender: TObject);
begin

SpinEditLeft.Value := 0;

end;

procedure TForm_OPTIONS.SpinEdit_wDblClick(Sender: TObject);
begin
SpinEdit_w.Value := 775;

end;

procedure TForm_OPTIONS.SpinEdit_HDblClick(Sender: TObject);
begin
SpinEdit_H.Value := 1110;

end;

procedure TForm_OPTIONS.SpinEditTopDblClick(Sender: TObject);
begin

SpinEditTop.Value := 0;

end;


procedure TForm_OPTIONS.btn_SaveMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin

chk_INIT.Checked := False;

end;
                 
procedure TForm_OPTIONS.Image2Click(Sender: TObject);
begin

SpinEditLeft.Value := SpinEditLeft.Value+1;

end;

procedure TForm_OPTIONS.Image1Click(Sender: TObject);
begin
SpinEditLeft.Value := SpinEditLeft.Value-1;

end;

procedure TForm_OPTIONS.JvCaptionPanel2ButtonClick(Sender: TObject;
  Button: TJvCapBtnStyle);
begin

case button of
  capHelp :

messagedlg(
  'L''image du formulaire doit tre'+#13+#13+
  '-Une image JPG'+#13+#13+
  '-Au Format A4 soit (Paramtrage "XNVIEW"): '+#13+#13+
  '->Taille cran : 794 * 1101'+#13+
  '->Taille Impression : 21 * 29;7 cm'+#13+
  '->Units : 96', mtInformation,[MbOK],0);

  end;

end;

procedure TForm_OPTIONS.chk_AUTOClick(Sender: TObject);
begin

form1.Timer1.Enabled := chk_AUTO.Checked;

end;

procedure TForm_OPTIONS.JvLED1Click(Sender: TObject);
begin
chk_AUTO.Checked := not chk_AUTO.Checked;
end;

procedure TForm_OPTIONS.JvXPButton1Click(Sender: TObject);
begin

form1.NOM.PasteFromClipboard;

end;

procedure TForm_OPTIONS.chk_NOTEClick(Sender: TObject);
begin

if chk_NOTE.Checked then
  with Form1.NOTE Do Begin
    Visible := true;
    Caption := 'DUPLICATA';
    OrFont.Orient := 100;
    OrFont.Incline := 100;
    Width := 400;
    chk_NOTE.Caption := 'Dsactiver le Tampon';
    form1.mnu_Note_Show.Checked := True;
  End
Else Begin
  form1.NOTE.Visible := False;
  chk_NOTE.Caption := 'R-Initialiser le Tampon';
  End;


form_OPTIONS.SpinEdit_NOTE.Value := 10;

end;

procedure TForm_OPTIONS.SpinEdit_NOTEChange(Sender: TObject);
begin

NOTE_Rotate(round(SpinEdit_NOTE.Value)*10);

end;

procedure TForm_OPTIONS.EditNoteChange(Sender: TObject);
begin

form1.NOTE.Caption := EditNote.Text;

end;

procedure TForm_OPTIONS.SpinEdit_ScreenChange(Sender: TObject);
begin

form1.Top := 6 * round(SpinEdit_Screen.Value);

end;

procedure TForm_OPTIONS.SpinEdit_ScreenDblClick(Sender: TObject);
begin

SpinEdit_Screen.Value := 0;

end;

procedure TForm_OPTIONS.FormClose(Sender: TObject; var Action: TCloseAction);
begin

Ini_Save.Execute;

end;

procedure TForm_OPTIONS.EditNoteEnter(Sender: TObject);
begin

{ Ouvre / Ferme la liste }
with LISTE_NOTES do Begin
  Visible := not visible;
  Left := EditNote.Left;
  Width := EditNote.Width;
  top := EditNote.Top+ EditNote.Height;
End;

end;

procedure TForm_OPTIONS.EditNoteExit(Sender: TObject);
begin

AddToList(LISTE_NOTES,EditNote.Text);

end;

procedure TForm_OPTIONS.Liste_NOTESClick(Sender: TObject);
begin

EditNote.Text := Liste_NOTES.Items[ Liste_NOTES.ItemIndex ];
Liste_NOTES.Visible := False;

end;

procedure TForm_OPTIONS.Liste_NOTESDblClick(Sender: TObject);
begin

Liste_NOTES.Hide;

end;

procedure TForm_OPTIONS.INI_SAVEExecute(Sender: TObject);
begin

{ form_OPTIONS OPTIONS }
Saveint('OPTIONS','X', form_OPTIONS.Left);
SaveInt('OPTIONS','Y', form_OPTIONS.Top);

{Scan Automatique }
saveBool('OPTIONS', 'AUTO', chk_AUTO.Checked);

{ LISTE TAMPONS }
Liste_NOTES.Items.SaveToFile(app_path + 'TAMPONS.TXT');

end;

procedure TForm_OPTIONS.btn_SaveClick(Sender: TObject);
begin

form1.INI_SAVE.Execute;
form_OPTIONS.INI_SAVE.Execute;

end;

procedure TForm_OPTIONS.INI_GETExecute(Sender: TObject);
begin

{ form_OPTIONS OPTIONS }
form_OPTIONS.Left := Getint('OPTIONS','X', 0);
form_OPTIONS.Top := Getint('OPTIONS','Y', 0);

with form1 do Begin
  Timer1.Enabled := chk_AUTO.Checked;
  SpinEditLeft.Value := panel_Image.Left;
  SpinEditTop.Value := panel_Image.Top;
  SpinEdit_w.Value := panel_Image.Width;
  SpinEdit_H.Value := panel_Image.Height;
End;

{ TAMPONS-TYPES }
if FileExists('TAMPONS.TXT') then
  form_OPTIONS.Liste_NOTES.Items.LoadFromFile(app_path + 'TAMPONS.TXT');



end;

end.
