unit frm_edit;

interface

  uses
    Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
    System.Classes, Vcl.Graphics,
    Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls,
    Vcl.ComCtrls,

    jc32_ini,
    jc32_RTF,
    jc32_Listes,

    JvExStdCtrls, JvRichEdit, Vcl.Menus

      ;

  type
    Tform_EDIT = class(TForm)
      Panel1: TPanel;
      Panel2: TPanel;
      btn_Search: TButton;
      JvRichEdit1: TJvRichEdit;
      Label1: TLabel;
      MainMenu1: TMainMenu;
      Fichier1: TMenuItem;
      Fermer1: TMenuItem;
      Edititon1: TMenuItem;
      Chercher1: TMenuItem;
      ComboBox1: TComboBox;
      ComboBox2: TComboBox;
      Label2: TLabel;
      Label3: TLabel;
      btn_search_texte: TButton;
      Label4: TLabel;
      ComboBox3: TComboBox;
      btn_search_tarif: TButton;
      procedure FormShow(Sender: TObject);
      procedure FormCreate(Sender: TObject);
      procedure FormClose(Sender: TObject; var Action: TCloseAction);
      procedure btn_SearchClick(Sender: TObject);
      procedure FormKeyPress(Sender: TObject; var Key: Char);
      procedure Fermer1Click(Sender: TObject);
      procedure Chercher1Click(Sender: TObject);
      procedure ComboBox1Exit(Sender: TObject);
      procedure ComboBox2Exit(Sender: TObject);
      procedure btn_search_texteClick(Sender: TObject);
      procedure btn_search_tarifClick(Sender: TObject);
      procedure ComboBox3Exit(Sender: TObject);
      private
        { Dclarations prives }
      public
        { Dclarations publiques }
    end;

  var
    form_EDIT: Tform_EDIT;

implementation

  {$R *.dfm}

  procedure Tform_EDIT.btn_SearchClick(Sender: TObject);
    begin
      SearchText(JvRichEdit1, ComboBox1.Text);

    end;

  procedure Tform_EDIT.btn_search_tarifClick(Sender: TObject);
    begin
      SearchText(JvRichEdit1, ComboBox3.Text);
    end;

  procedure Tform_EDIT.btn_search_texteClick(Sender: TObject);
    begin
      SearchText(JvRichEdit1, ComboBox2.Text);
    end;

  procedure Tform_EDIT.Chercher1Click(Sender: TObject);
    begin
      btn_Search.Click;
    end;

  procedure Tform_EDIT.ComboBox1Exit(Sender: TObject);
    begin
      AddToCombo(ComboBox1);
    end;

  procedure Tform_EDIT.ComboBox2Exit(Sender: TObject);
    begin
      AddToCombo(ComboBox2);
    end;

  procedure Tform_EDIT.ComboBox3Exit(Sender: TObject);
    begin
      AddToCombo(ComboBox3);
    end;

  procedure Tform_EDIT.Fermer1Click(Sender: TObject);
    begin
      close;
    end;

  procedure Tform_EDIT.FormClose(Sender: TObject; var Action: TCloseAction);
    begin
      SavePosition(self);

      ComboBox1.Items.SaveToFile('app_path + LISTE_RECHERCHE_CODES.TXT');
      ComboBox2.Items.SaveToFile('app_path + LISTE_RECHERCHE_TEXTES.TXT');
      ComboBox3.Items.SaveToFile('app_path + LISTE_RECHERCHE_TARIFS.TXT');

    end;

  procedure Tform_EDIT.FormCreate(Sender: TObject);
    begin
      GetPosition(self);

      if FileExists('app_path + LISTE_RECHERCHE_CODES.TXT') then
        ComboBox1.Items.LoadFromFile('app_path + LISTE_RECHERCHE_CODES.TXT');
      if FileExists('app_path + LISTE_RECHERCHE_TEXTES.TXT') then
        ComboBox2.Items.LoadFromFile('app_path + LISTE_RECHERCHE_TEXTES.TXT');
      if FileExists('app_path + LISTE_RECHERCHE_TARIFS.TXT') then
        ComboBox3.Items.LoadFromFile('app_path + LISTE_RECHERCHE_TARIFS.TXT')

    end;

  procedure Tform_EDIT.FormKeyPress(Sender: TObject; var Key: Char);
    begin
      if Key = #27 then
        Begin
          ComboBox1.Text := '';
          ComboBox1.SetFocus;
        End;

    end;

  procedure Tform_EDIT.FormShow(Sender: TObject);
    begin
      if FileExists('CCAM.RTF') then
        JvRichEdit1.Lines.LoadFromFile('CCAM.RTF')
      else
        showmessage('Fichier "CCAM.RTF" non trouv');
    end;

end.
