unit unit_HISTORIQUE;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,

  variables_globales,
  jc32_ini,

  ActnList, System.Actions,
  System.UITypes, Vcl.Menus

    ;

type
  Tform_historique = class(TForm)
    ListBox1: TListBox;
    ActionList1: TActionList;
    Acte_Ouvre: TAction;
    PopupMenu1: TPopupMenu;
    Supprimer1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Acte_OuvreExecute(Sender: TObject);
    procedure Supprimer1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  form_historique: Tform_historique;

implementation

uses Unit1;

{$R *.dfm}


procedure Tform_historique.FormCreate(Sender: TObject);
begin

  getposition(form_historique);

end;

procedure Tform_historique.Supprimer1Click(Sender: TObject);
begin
ListBox1.DeleteSelected;
ListBox1.Update;
end;

procedure Tform_historique.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  saveposition(form_historique);
end;

procedure Tform_historique.Acte_OuvreExecute(Sender: TObject);
var
  FN: string;

begin

  _ACTE := ListBox1.Items[ListBox1.itemIndex];
  FN    := GetStr('ACTES', _ACTE, '');

  if FN = '' then
  Begin
    MessageDlg('Cet acte n''est plus correctement dfini dans  la base' + #13 + #10 +
      'Veuillez le reslectionner par le menu gnral "ACTE/Choisir" (CTRL+O)',
      mtInformation, [mbOK], 0);
    form1.OPEN_Modele.Execute;
    exit;
  End;

  // ShowMessageFMT('%s %s',[_acte, fn]);

  form1.Caption := format('%s@%s', [UpperCase(ExtractFileName(FN)), _ACTE]);

  with form1 do
  BEGIN

    { ACTES }
    ACTE_1.Text := GetStr('ACTES', 'ACTE_1', '', FN);
    ACTE_2.Text := GetStr('ACTES', 'ACTE_2', '', FN);
    ACTE_3.Text := GetStr('ACTES', 'ACTE_3', '', FN);
    ACTE_4.Text := GetStr('ACTES', 'ACTE_4', '', FN);

    CCAM_1.Text := GetStr('ACTES', 'CCAM_1', '', FN);
    CCAM_2.Text := GetStr('ACTES', 'CCAM_2', '', FN);

    { TARIFS }
    TARIF_1.Text       := GetStr('TARIFS', 'TARIF_1', '', FN);
    TARIF_2.Text       := GetStr('TARIFS', 'TARIF_2', '', FN);
    TARIF_3.Text       := GetStr('TARIFS', 'TARIF_3', '', FN);
    TARIF_4.Text       := GetStr('TARIFS', 'TARIF_4', '', FN);
    MONTANT_TOTAL.Text := GetStr('TARIFS', 'TOTAL', '', FN);

    { CASES A COCHER }
    COCHE_MALADIE.Text    := GetStr('COCHES', 'COCHE_MALADIE', 'X', FN);
    COCHE_MATERNITE.Text  := GetStr('COCHES', 'COCHE_MATERNITE', '', FN);
    COCHE_ACCES.Text      := GetStr('COCHES', 'COCHE_ACCES', 'X', FN);
    COCHE_NP_COMP.Text    := GetStr('COCHES', 'COCHE_NP_COMP', '', FN);
    COCHE_NP_OBLIGAT.Text := GetStr('COCHES', 'COCHE_NP_OBLIGAT', '', FN);
    COCHE_ALD_0.Text      := GetStr('COCHES', 'COCHE_ALD_0', '', FN);
    COCHE_ALD_1.Text      := GetStr('COCHES', 'COCHE_ALD_1', '', FN);

    { Note }

    NOTE.Visible := GetBool('NOTE', 'VISIBLE', False, FN);
    NOTE.Caption := GetStr('NOTE', 'TEXTE', 'DUPLICATA', FN);
    NOTE.Top     := GetINT('NOTE', 'TOP', NOTE.Top, FN);
    NOTE.Left    := GetINT('NOTE', 'LEFT', NOTE.Left, FN);

  END;
end;

end.
