unit unit_options;

interface

  uses
    Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
    Dialogs, StdCtrls, Spin, ComCtrls,
    Menus, ActnList, ExtCtrls,
    Mask,

    jc32_ini,
    jc32_listes,

    JvExMask,
    JvSpin,
    JvExExtCtrls, JvExtComponent,
    JvCaptionPanel,
    JvExControls, JvXPCore,
    JvXPButtons, JvLED,

    System.Actions,
    System.UITypes

      ;

  type
    TForm_OPTIONS = class(TForm)
      btn_Save: TJvXPButton;
      JvCaptionPanel2: TJvCaptionPanel;
      ActionList1: TActionList;
      Police: TAction;
      GroupBox4: TGroupBox;
      GroupBox3: TGroupBox;
      GroupBox1: TGroupBox;
      GroupBox2: TGroupBox;
      chk_INIT: TCheckBox;
      SpinEdit_W: TJvSpinEdit;
      SpinEdit_H: TJvSpinEdit;
      SpinEditLeft: TJvSpinEdit;
      SpinEditTOP: TJvSpinEdit;
      JvCaptionPanel3: TJvCaptionPanel;
      chk_AUTO: TCheckBox;
      JvLED1: TJvLED;
      JvXPButton1: TJvXPButton;
      panel_note: TJvCaptionPanel;
      Group_note: TGroupBox;
      JvCaptionPanel5: TJvCaptionPanel;
      GroupBox6: TGroupBox;
      SpinEdit_Screen: TJvSpinEdit;
      INI_SAVE: TAction;
      INI_GET: TAction;
      MainMenu1: TMainMenu;
      Fichier1: TMenuItem;
      Fermer1: TMenuItem;
      Rglages1: TMenuItem;
      Modle1BrotherHL1: TMenuItem;
      JvXPButton4: TJvXPButton;
      btn_quit: TJvXPButton;
      EditNote: TEdit;
      SpinEdit_NOTE: TJvSpinEdit;
      JvSpinEdit_Size: TJvSpinEdit;
      Label1: TLabel;
      Label2: TLabel;
      chk_NOTE: TCheckBox;
      Liste_NOTES: TListBox;
    Label3: TLabel;
    Label4: TLabel;
      procedure SpinEditLeftChange(Sender: TObject);
      procedure SpinEditTopChange(Sender: TObject);
      procedure SpinEdit_wChange(Sender: TObject);
      procedure SpinEdit_HChange(Sender: TObject);
      procedure FormCreate(Sender: TObject);
      procedure Quitter1Click(Sender: TObject);
      procedure chk_INITClick(Sender: TObject);
      procedure SpinEditLeftDblClick(Sender: TObject);
      procedure SpinEdit_wDblClick(Sender: TObject);
      procedure SpinEdit_HDblClick(Sender: TObject);
      procedure SpinEditTopDblClick(Sender: TObject);
      procedure btn_SaveMouseMove(Sender: TObject; Shift: TShiftState;
        X, Y: Integer);
      procedure Image2Click(Sender: TObject);
      procedure Image1Click(Sender: TObject);
      procedure JvCaptionPanel2ButtonClick(Sender: TObject;
        Button: TJvCapBtnStyle);
      procedure chk_AUTOClick(Sender: TObject);
      procedure JvLED1Click(Sender: TObject);
      procedure JvXPButton1Click(Sender: TObject);
      procedure chk_NOTEClick(Sender: TObject);
      procedure SpinEdit_NOTEChange(Sender: TObject);
      procedure EditNoteChange(Sender: TObject);
      procedure SpinEdit_ScreenChange(Sender: TObject);
      procedure SpinEdit_ScreenDblClick(Sender: TObject);
      procedure FormClose(Sender: TObject; var Action: TCloseAction);
      procedure EditNoteEnter(Sender: TObject);
      procedure EditNoteExit(Sender: TObject);
      procedure Liste_NOTESClick(Sender: TObject);
      procedure Liste_NOTESDblClick(Sender: TObject);
      procedure INI_SAVEExecute(Sender: TObject);
      procedure btn_SaveClick(Sender: TObject);
      procedure INI_GETExecute(Sender: TObject);
      procedure Fermer1Click(Sender: TObject);
      procedure Modle1BrotherHL1Click(Sender: TObject);
      procedure JvXPButton4Click(Sender: TObject);
      procedure JvSpinEdit_SizeChange(Sender: TObject);
    procedure EditNoteClick(Sender: TObject);
      private
        { Dclarations prives }
      public
        { Dclarations publiques }
    end;

  var
    Form_OPTIONS: TForm_OPTIONS;

implementation

  uses Unit1;

  {$R *.dfm}

  procedure TForm_OPTIONS.SpinEditLeftChange(Sender: TObject);
    begin

      form1.Panel_Image.Left := round(SpinEditLeft.Value);

    end;

  procedure TForm_OPTIONS.SpinEditTopChange(Sender: TObject);
    begin

      Try
        form1.Panel_Image.Top := round(SpinEditTOP.Value);
      Except
      end;

    end;

  procedure TForm_OPTIONS.SpinEdit_wChange(Sender: TObject);
    begin

      form1.Panel_Image.Width := round(SpinEdit_W.Value);

    end;

  procedure TForm_OPTIONS.SpinEdit_HChange(Sender: TObject);
    begin

      form1.Panel_Image.Height := round(SpinEdit_H.Value);

    end;

  procedure TForm_OPTIONS.FormCreate(Sender: TObject);
    begin

      INI_GET.Execute;

    end;

  procedure TForm_OPTIONS.Quitter1Click(Sender: TObject);
    begin

      close;

    end;

  procedure TForm_OPTIONS.chk_INITClick(Sender: TObject);
    begin

      with form1.Image1 do
        BEGIN
          AutoSize := chk_INIT.Checked;
          Stretch  := not chk_INIT.Checked;
        End;

    end;

  procedure TForm_OPTIONS.SpinEditLeftDblClick(Sender: TObject);
    begin

      SpinEditLeft.Value := 0;

    end;

  procedure TForm_OPTIONS.SpinEdit_wDblClick(Sender: TObject);
    begin
      SpinEdit_W.Value := 775;

    end;

  procedure TForm_OPTIONS.SpinEdit_HDblClick(Sender: TObject);
    begin
      SpinEdit_H.Value := 1110;

    end;

  procedure TForm_OPTIONS.SpinEditTopDblClick(Sender: TObject);
    begin

      SpinEditTOP.Value := 0;

    end;

  procedure TForm_OPTIONS.btn_SaveMouseMove(Sender: TObject; Shift: TShiftState;
    X, Y: Integer);
    begin

      chk_INIT.Checked := False;

    end;

  procedure TForm_OPTIONS.Image2Click(Sender: TObject);
    begin

      SpinEditLeft.Value := SpinEditLeft.Value + 1;

    end;

  procedure TForm_OPTIONS.Image1Click(Sender: TObject);
    begin
      SpinEditLeft.Value := SpinEditLeft.Value - 1;

    end;

  procedure TForm_OPTIONS.JvCaptionPanel2ButtonClick(Sender: TObject;
    Button: TJvCapBtnStyle);
    begin

      case Button of
        capHelp:

          messagedlg('L''image du formulaire doit tre' + #13 + #13 +
              '-Une image JPG' + #13 + #13 +
              '-Au Format A4 soit (Paramtrage "XNVIEW"): ' + #13 + #13 +
              '->Taille cran : 794 * 1101' + #13 +
              '->Taille Impression : 21 * 29;7 cm' + #13 + '->Units : 96',
            mtInformation, [MbOK], 0);

      end;

    end;

  procedure TForm_OPTIONS.chk_AUTOClick(Sender: TObject);
    begin

      form1.Timer1.Enabled := chk_AUTO.Checked;

    end;

  procedure TForm_OPTIONS.JvLED1Click(Sender: TObject);
    begin
      chk_AUTO.Checked := not chk_AUTO.Checked;
    end;

  procedure TForm_OPTIONS.JvSpinEdit_SizeChange(Sender: TObject);
    begin
      form1.NOTE.Font.Size := round(JvSpinEdit_Size.Value);
    end;

  procedure TForm_OPTIONS.JvXPButton1Click(Sender: TObject);
    begin

      form1.NOM.PasteFromClipboard;

    end;

  procedure TForm_OPTIONS.JvXPButton4Click(Sender: TObject);
    begin

      form1.mnu_CCAM.Click;

    end;

  procedure TForm_OPTIONS.chk_NOTEClick(Sender: TObject);
    begin
      if chk_NOTE.Checked then
        with form1.NOTE Do
          Begin
            Visible := true;
            Caption := 'DUPLICATA';
            // OrFont.Orient := 100;
            // OrFont.Incline := 100;
            Width                       := 400;
            chk_NOTE.Caption            := 'Cacher le Tampon';
            form1.mnu_Note_Show.Checked := true;
          End
      Else
        Begin
          form1.NOTE.Visible := False;
          chk_NOTE.Caption   := 'Montrer le Tampon';
        End;

      Form_OPTIONS.SpinEdit_NOTE.Value := 10;

    end;

  procedure TForm_OPTIONS.SpinEdit_NOTEChange(Sender: TObject);
    begin

      NOTE_Rotate(round(SpinEdit_NOTE.Value));

    end;

  procedure TForm_OPTIONS.EditNoteChange(Sender: TObject);
    begin

      form1.NOTE.Caption := EditNote.Text;

    end;

  procedure TForm_OPTIONS.EditNoteClick(Sender: TObject);
begin
 form1.NOTE.Caption := EditNote.Text;
end;

procedure TForm_OPTIONS.SpinEdit_ScreenChange(Sender: TObject);
    begin

      form1.Top := 6 * round(SpinEdit_Screen.Value);

    end;

  procedure TForm_OPTIONS.SpinEdit_ScreenDblClick(Sender: TObject);
    begin

      SpinEdit_Screen.Value := 0;

    end;

  procedure TForm_OPTIONS.Fermer1Click(Sender: TObject);
    begin
      close;
    end;

  procedure TForm_OPTIONS.FormClose(Sender: TObject; var Action: TCloseAction);
    begin

      INI_SAVE.Execute;

    end;

  procedure TForm_OPTIONS.EditNoteEnter(Sender: TObject);
    begin

      { Ouvre / Ferme la liste }
      with Liste_NOTES do

        Begin
          Visible := not Visible;
          Left    := Group_note.Left + EditNote.Left + 2;
          Width   := EditNote.Width;
          Top     := panel_note.Top + EditNote.Top + EditNote.Height + 2;
        End;

    end;

  procedure TForm_OPTIONS.EditNoteExit(Sender: TObject);
    begin

      AddToList(Liste_NOTES, EditNote.Text);
      form1.NOTE.Caption := EditNote.Text;

    end;

  procedure TForm_OPTIONS.Liste_NOTESClick(Sender: TObject);
    begin

      EditNote.Text       := Liste_NOTES.Items[Liste_NOTES.ItemIndex];
      Liste_NOTES.Visible := False;

    end;

  procedure TForm_OPTIONS.Liste_NOTESDblClick(Sender: TObject);
    begin

      Liste_NOTES.Hide;

    end;

  procedure TForm_OPTIONS.Modle1BrotherHL1Click(Sender: TObject);
    begin

      SpinEdit_W.Value   := 772;
      SpinEdit_H.Value   := 1100;
      SpinEditLeft.Value := 0;
      SpinEditTOP.Value  := 5;

    end;

  procedure TForm_OPTIONS.INI_SAVEExecute(Sender: TObject);
    begin

      { form_OPTIONS OPTIONS }
      Saveint('OPTIONS', 'X', Form_OPTIONS.Left);
      Saveint('OPTIONS', 'Y', Form_OPTIONS.Top);

      { Scan Automatique }
      saveBool('OPTIONS', 'AUTO', chk_AUTO.Checked);

      { LISTE TAMPONS }
      Liste_NOTES.Items.SaveToFile(app_path + 'TAMPONS.TXT');

    end;

  procedure TForm_OPTIONS.btn_SaveClick(Sender: TObject);
    begin

      form1.INI_SAVE.Execute;
      Form_OPTIONS.INI_SAVE.Execute;

    end;

  procedure TForm_OPTIONS.INI_GETExecute(Sender: TObject);
    begin

      { form_OPTIONS OPTIONS }
      Form_OPTIONS.Left := Getint('OPTIONS', 'X', 0);
      Form_OPTIONS.Top  := Getint('OPTIONS', 'Y', 0);

      JvSpinEdit_Size.Value := form1.NOTE.Font.Size;

      with form1 do
        Begin
          Timer1.Enabled     := chk_AUTO.Checked;
          SpinEditLeft.Value := Panel_Image.Left;
          SpinEditTOP.Value  := Panel_Image.Top;
          SpinEdit_W.Value   := Panel_Image.Width;
          SpinEdit_H.Value   := Panel_Image.Height;
        End;

      { TAMPONS-TYPES }

      EditNote.Text := form1.NOTE.Caption;

      if FileExists('TAMPONS.TXT') then
        Form_OPTIONS.Liste_NOTES.Items.LoadFromFile(app_path + 'TAMPONS.TXT');

    end;

end.
